Package org.apache.tomcat.util.buf

## Enum EncodedSolidusHandling

- java.lang.Object
- - java.lang.Enum<EncodedSolidusHandling>
  - - org.apache.tomcat.util.buf.EncodedSolidusHandling

All Implemented Interfaces:
  `Serializable`, `Comparable<EncodedSolidusHandling>`

    public enum EncodedSolidusHandling
    extends Enum<EncodedSolidusHandling>

### Enum Constant Summary

Enum Constants
`DECODE`
`PASS_THROUGH`
`REJECT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EncodedSolidusHandling` `fromString​(String from)`
`String` `getValue()`
`static EncodedSolidusHandling` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static EncodedSolidusHandling[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DECODE

    public static final EncodedSolidusHandling DECODE

#### REJECT

    public static final EncodedSolidusHandling REJECT

#### PASS_THROUGH

    public static final EncodedSolidusHandling PASS_THROUGH

### Method Detail

#### values

    public static EncodedSolidusHandling[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EncodedSolidusHandling c : EncodedSolidusHandling.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EncodedSolidusHandling valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public String getValue()

#### fromString

    public static EncodedSolidusHandling fromString​(String from)